VisualEditor: Rapidly multiplying pawns after editing near a link in MobileSafari on iPad
Closed, ResolvedPublic

Description

An IP user on the English Wikipedia reports the following slightly alarming bug:

"After I edited text near a link, "♙♙♙♙♙♙♙" characters started appearing around once a second, and I couldn't stop them or delete them."

Based on another bug report left a few minutes later by the same user they were using MobileSafari on iPad 2 with iOS 6.1.3

I can't replicate this in Firefox on a Linux PC and don't have an iPad to test on.


Version: unspecified
Severity: normal
OS: other
Platform: Tablet PC
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=50465

Thryduulf created this task.Via LegacyJul 19 2013, 11:43 AM
Mahitgar added a comment.Via ConduitJul 19 2013, 12:14 PM

(In reply to comment #0)

An IP user on the English Wikipedia reports the following slightly alarming
bug:

"After I edited text near a link, "♙♙♙♙♙♙♙" characters started appearing
around
once a second, and I couldn't stop them or delete them."

Based on another bug report left a few minutes later by the same user they
were
using MobileSafari on iPad 2 with iOS 6.1.3

I can't replicate this in Firefox on a Linux PC and don't have an iPad to
test
on.

Since you asked,in VE test edit we had encountered it at mr wiki http://mr.wikipedia.org/w/index.php?title=तेकिर्दा_प्रांत&diff=prev&oldid=1189390 When I increased space.I suppose developers already may be taking care of this.

I suppose en wiki maya be needs to track nowikis with better targeted edit filters for space and other mark up aspects.Thats my guess.

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 1:26 AM
Jdforrester-WMF moved this task to Backlog on the VisualEditor 2014/15 Q4 blockers workboard.Via WebApr 8 2015, 7:18 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF set Story Points to 1.
Jdforrester-WMF closed this task as "Resolved".Via WebJun 16 2015, 8:48 PM
Jdforrester-WMF claimed this task.

Seems to work for me now. Tested on Beta Cluster using iOS Safari 8.0 on an iPad.

Jdforrester-WMF moved this task to Done on the VisualEditor 2014/15 Q4 blockers workboard.Via WebJun 16 2015, 10:06 PM

Add Comment